Subject: Re: bug#30502: 26.0.91; electric-pair-mode documentation
From: [email-masked] (Charles A. Roelli)
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Feb 2018 21:00:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 17 Feb 2018 19:31:42 +0200
> From: Eli Zaretskii <[email-masked]>
>
> Thanks, I documented that now.  In the doc string of the mode as well.

Thanks a lot for the improvement.  With that, I'll close this bug.

> > By "this functionality" I mean auto-inserting a matching delimeter at
> > the mark when a delimeter character is typed, when electric-pair-mode
> > is on.  The region has to be active for this to work, therefore
> > transient-mark-mode must be on (even if temporarily).  I suggest
> > adding a command that wraps point and mark with some given delimeters,
> > regardless of whether the region is active.
> 
> We have "C-u C-x C-x" that turns on transient-mark-mode temporarily.
> Isn't that enough?  If not, the issue is general, not specific to this
> mode.

"C-u C-x C-x" does work well enough, but Emacs normally also provides
commands that explicitly do some subset of what a region-aware command
would do in the same situation.  For example, if you want to comment
out the region with transient-mark-mode switched off, you can either
type:

C-u C-x C-x [exchange-point-and-mark]
M-; [comment-dwim]

or more memorably, clearly, and without moving point,

M-x comment-region RET

I like having both options available, but the latter is preferable IMO.
Hence we could have some command that would be used like,

M-x wrap-region RET ( RET

to wrap a region explicitly.